/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_3174063690")

  // add field
  collection.fields.addAt(1, new Field({
    "hidden": false,
    "id": "select3241110846",
    "maxSelect": 1,
    "name": "order_type",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "select",
    "values": [
      "booking",
      "subscription"
    ]
  }))

  // add field
  collection.fields.addAt(12, new Field({
    "cascadeDelete": false,
    "collectionId": "pbc_3980638064",
    "hidden": false,
    "id": "relation2747688147",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "subscription",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_3174063690")

  // remove field
  collection.fields.removeById("select3241110846")

  // remove field
  collection.fields.removeById("relation2747688147")

  return app.save(collection)
})
